# Yahoo! UI Library

### datasource 3.3.0

Yahoo! UI Library > datasource > DataSourceTextSchema
Search:
Filters Show Private Show Protected Show Deprecated

## Class DataSourceTextSchema - extends Plugin.Base

Adds schema-parsing to the DataSource Utility.

### Properties

#### NAME - `static final String`

Class name.

#### NS - `static final String`

The namespace for the plugin. This will be the property on the host which references the plugin instance.

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from Base:

`name`

#### Properties inherited from Plugin.Base:

`_handles`

### Methods

#### _beforeDefDataFn

tId (Number)
  Unique transaction ID.
request (Object)
  The request.
callback (Object)
  The callback object with the following properties:
  success (Function)
    Success handler.
  failure (Function)
    Failure handler.
data (Object)
  Raw data.

`protected void _beforeDefDataFn

tId (Number)
  Unique transaction ID.
request (Object)
  The request.
callback (Object)
  The callback object with the following properties:
  success (Function)
    Success handler.
  failure (Function)
    Failure handler.
data (Object)
  Raw data.

( )`
Parses raw data into a normalized response.

#### initializer

`private void initializer ( config )`
Internal init() handler.

Parameters:
  `config <Object>` Config object.

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

#### Methods inherited from Plugin.Base:

`afterHostEvent, afterHostMethod, beforeHostMethod, destructor, doAfter, doBefore, initializer, onHostEvent`

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

#### Events inherited from Plugin.Base:

`hostChange,`

#### Configuration attributes inherited from Base:

`destroyed initialized`

#### Configuration attributes inherited from Plugin.Base:

`host`

Copyright © 2011 Yahoo! Inc. All rights reserved.